package org.example;

import io.deephaven.engine.table.Table;
import io.deephaven.enterprise.database.Database;

public class QueryUtils {

    public static Table getAvgStockPriceTable(final Database db, final String date) {
        return db.historicalTable("LearnDeephaven", "StockTrades")
                .where("Date = `" + date + "`")
                .view("USym", "Last")
                .avgBy("USym");
    }

    public static Table getMidStockPriceTable(final Database db, final String date) {
        return db.historicalTable("LearnDeephaven", "StockQuotes")
                .where("Date = `" + date + "`")
                .lastBy("USym")
                .updateView("Mid = (Bid + Ask) / 2");
    }
}
